> ## Documentation Index
> Fetch the complete documentation index at: https://docs.autorize.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar casos de uso

> Lista os casos de uso da empresa dona da chave de API informada. Opcionalmente filtra pelo vínculo PGCC (`empresaVinculoPgccId`).



## OpenAPI

````yaml https://public-usuario-api.autorize.com.br/swagger/v1/swagger.json get /api/casos-de-uso
openapi: 3.0.4
info:
  title: GCC Usuario Public API
  version: dev
servers:
  - url: https://public-usuario-api.autorize.com.br
    description: Produ??o
  - url: https://staging-usuario-public-api.autorize.com.br
    description: Staging
security: []
tags:
  - name: CasosDeUso
  - name: HashConsulta
  - name: SolicitacaoConsentimento
  - name: WebhookUrls
paths:
  /api/casos-de-uso:
    get:
      tags:
        - CasosDeUso
      summary: Listar casos de uso
      description: >-
        Lista os casos de uso da empresa dona da chave de API informada.
        Opcionalmente filtra pelo vínculo PGCC (`empresaVinculoPgccId`).
      parameters:
        - name: Api-Key
          in: header
          required: true
          schema:
            type: string
        - name: empresaVinculoPgccId
          in: query
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/GetCasosDeUsoListByEmpresaResponsePadrao'
            application/json:
              schema:
                $ref: '#/components/schemas/GetCasosDeUsoListByEmpresaResponsePadrao'
            text/json:
              schema:
                $ref: '#/components/schemas/GetCasosDeUsoListByEmpresaResponsePadrao'
components:
  schemas:
    GetCasosDeUsoListByEmpresaResponsePadrao:
      type: object
      properties:
        sucesso:
          type: boolean
        isPgccErro:
          type: boolean
        pgccCodigoErro:
          $ref: '#/components/schemas/HttpStatusCode'
        mensagem:
          type: string
          nullable: true
        data:
          type: array
          items:
            $ref: '#/components/schemas/GetCasosDeUsoListByEmpresaResultData'
      additionalProperties: false
    HttpStatusCode:
      enum:
        - Continue
        - SwitchingProtocols
        - Processing
        - EarlyHints
        - OK
        - Created
        - Accepted
        - NonAuthoritativeInformation
        - NoContent
        - ResetContent
        - PartialContent
        - MultiStatus
        - AlreadyReported
        - IMUsed
        - MultipleChoices
        - MovedPermanently
        - Found
        - SeeOther
        - NotModified
        - UseProxy
        - Unused
        - TemporaryRedirect
        - PermanentRedirect
        - BadRequest
        - Unauthorized
        - PaymentRequired
        - Forbidden
        - NotFound
        - MethodNotAllowed
        - NotAcceptable
        - ProxyAuthenticationRequired
        - RequestTimeout
        - Conflict
        - Gone
        - LengthRequired
        - PreconditionFailed
        - RequestEntityTooLarge
        - RequestUriTooLong
        - UnsupportedMediaType
        - RequestedRangeNotSatisfiable
        - ExpectationFailed
        - MisdirectedRequest
        - UnprocessableEntity
        - Locked
        - FailedDependency
        - UpgradeRequired
        - PreconditionRequired
        - TooManyRequests
        - RequestHeaderFieldsTooLarge
        - UnavailableForLegalReasons
        - InternalServerError
        - NotImplemented
        - BadGateway
        - ServiceUnavailable
        - GatewayTimeout
        - HttpVersionNotSupported
        - VariantAlsoNegotiates
        - InsufficientStorage
        - LoopDetected
        - NotExtended
        - NetworkAuthenticationRequired
      type: string
    GetCasosDeUsoListByEmpresaResultData:
      type: object
      properties:
        id:
          type: string
          format: uuid
        vinculoId:
          type: string
          format: uuid
          nullable: true
        titulo:
          type: string
        pgccCredenciaTemplateId:
          type: string
          nullable: true
        dataInclusao:
          type: string
          format: date-time
        dataUltimaSincronizacaoPgcc:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false

````